<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>B-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="index: B">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:B">B</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#bGeom">bGeom</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>
<div class="block">Geometry of the building</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#boundMin">boundMin</a></span> - Variable in enum fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/insee/BpePOI.html" title="class in fr.ici.dataImporter.insee"><span class="type-name-link">BpePOI</span></a> - Class in <a href="../fr/ici/dataImporter/insee/package-summary.html">fr.ici.dataImporter.insee</a></dt>
<dd>
<div class="block">POI extracted from the Base des Equipements Publics, produced by the INSEE.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/BpePOI.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">BpePOI(String, String, String, Point)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></dt>
<dd>
<div class="block">General constructor</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/BpePOI.html#%3Cinit%3E(java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">BpePOI(String, String, Point)</a></span> - Constructor for class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></dt>
<dd>
<div class="block">General constructor when type name in unknown</div>
</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects"><span class="type-name-link">Building</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/package-summary.html">fr.ici.dataImporter.iciObjects</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#%3Cinit%3E()">Building()</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects"><span class="type-name-link">BuildingGroup</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/package-summary.html">fr.ici.dataImporter.iciObjects</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html#%3Cinit%3E(fr.ici.dataImporter.iciObjects.BuildingSimple,fr.ici.dataImporter.iciObjects.Address,boolean)">BuildingGroup(BuildingSimple, Address, boolean)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></dt>
<dd>
<div class="block">Create Building Group with an initial building</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html#%3Cinit%3E(java.lang.String,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,float,org.locationtech.jts.geom.MultiPolygon)">BuildingGroup(String, float, String, String, String, int, int, int, List&lt;Integer&gt;, float, MultiPolygon)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></dt>
<dd>
<div class="block">Building Group constructor for importing an exported Building Group</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html#%3Cinit%3E(java.util.List,fr.ici.dataImporter.iciObjects.Address,boolean)">BuildingGroup(List&lt;BuildingSimple&gt;, Address, boolean)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></dt>
<dd>
<div class="block">Create a new Building Group from multiple buildings.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Household.html#buildingID">buildingID</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></dt>
<dd>
<div class="block">Buildind in which the household is living</div>
</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects"><span class="type-name-link">BuildingSimple</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/package-summary.html">fr.ici.dataImporter.iciObjects</a></dt>
<dd>
<div class="block">Building integration in the ICI project.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,boolean,double,double,int,int,java.util.List,int,int,org.locationtech.jts.geom.Geometry)">BuildingSimple(String, String, String, String, boolean, double, double, int, int, List&lt;Integer&gt;, int, int, Geometry)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/transport/BusStation.html" title="class in fr.ici.dataImporter.iciObjects.transport"><span class="type-name-link">BusStation</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/transport/package-summary.html">fr.ici.dataImporter.iciObjects.transport</a></dt>
<dd>
<div class="block">IdF Mobilité bus station object</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/BusStation.html#%3Cinit%3E()">BusStation()</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/BusStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">BusStation</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
